Latest News

New Icons for New Theme Framework!

February 12, 2022

Along with the integration of Twitter Bootstrap v5 as a theme framework, we've updated the standard icon set to Font Awesome v6 over Font Awesome v5. We also offer the option of using Twitter Bootstrap Icons which provide a cleaner, thinner icon set. (read more)

Patch #3 Released for V2.6.0

February 12, 2022 Tags: patch, release, bugs

This patch fixes an anomaly which prevents saving new or updated items to the MySQL database. In addition to several other fixes and tweaks, it updates many 3rd party libraries. (read more)

Version 2.6.0 Released

December 18, 2020 Tags: release, bugs

Version 2.6.0 or 'Quarantined Quandary' is now under the tree in time for Christmas! We added support for PHP v7.4 and initial support for PHP v8.0 and Twitter Bootstrap v5 (optional download required). We also fixed quite a number of issues since the last patch especially with MySQL v5.7 'strict' mode., and some other things have been tweaked. We've also added an optional simplified permissions system and optional support for CDN links to our major libraries. If your server PHP version supports it (v5.6.0 or later), we strongly encourage all Exponent installations be upgraded to v2.6.0 as soon as practical! (read more)

Merry Christmas 2020 from Exponent CMS!

December 5, 2020 Tags: release, preview

Merry ChristmasThough 2020 has left most of us longing for something better, the majority of us have made it through the year. To celebrate, we'll be releasing a new version of Exponent CMS shortly.. Version 2.6.0 will add support for PHP v7.4 and MySql 'strict' mode. It will also add initial support for PHP v8.0 and Twitter Bootstrap v5. Additionally it adds a new optional Simplified Permissions system to help speed up large (eCommerce) sites by reducing every user to either an Admin or a User...you either have permissions or you don't! We've also added optional support for loading most of our main libraries (jQuery, Bootstrap, YUI, and Font-Awesome) by CDN link to help speed up some sites. Several of those features had crept out in patches to v2.5.1, but have been robusted quite a bit since the last patch was released back in the spring. While PHP v8 support has been tested, there may still be some unidentified quirks, but it will allow your site to run under PHP v8 which Exponent v2.5.1 will not allow. Additionally, the Twitter Bootstrap v5 support requires an additional, optional package which will include a sample theme. This will initially be an 'beta' level release since Bootstrap v5 is still beta and there may be some breaking changes before it reaches 'stable' in the next months.  (read more)